Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bump virtualenv to 16.6.2 for local run script #8061

Merged
merged 1 commit into from Jul 17, 2019

Conversation

@Eric-Arellano
Copy link
Contributor

commented Jul 17, 2019

Recently, when running Pants, the below was always printed to stderr.

/Users/eric/DocsLocal/code/projects/pants/build-support/pants_dev_deps.py36.venv/lib/python3.6/distutils/__init__.py:4: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
  import imp

This was fixed in virtualenv in 16.3.0 and 16.4.0

(Note that you must rm -rf build-support/pants_dev_deps.py{36,37}.venv for this change to be picked up locally.)

@Eric-Arellano Eric-Arellano requested review from stuhood, jsirois and blorente Jul 17, 2019

@blorente
Copy link
Contributor

left a comment

If travis is okay with it, I'm okay with it :)

@Eric-Arellano Eric-Arellano merged commit f8078b0 into pantsbuild:master Jul 17, 2019

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details

@Eric-Arellano Eric-Arellano deleted the Eric-Arellano:bump-virtualenv branch Jul 17, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.